
Redmine - Defect #7501

Search options get lost after clicking on a specific result type

2011-01-31 16:35 - Dennis H

Status: Closed Start date: 2011-01-31

Priority: Low Due date:  

Assignee:  % Done: 0%

Category: Search engine Estimated time: 0.00 hour

Target version: 1.2.1   

Resolution: Fixed Affected version:  

Description

A bug using the search on redmine.org (probably also in the latest release, too):

The first line below the search form contains something similar to

Messages (13)

Issues (12)

Changesets (11)

Results (36)

 If the option "Search titles only" was previously selected, it is not added via GET to the URL for each of the categories, i.e.

"Messages".

Clicking on the links obviously generates a different list where both title and context are matched with the searched phrase. "Search

titles only" is deselected.

Related issues:

Related to Redmine - Defect #8407: All words keeps on getting checked New 2011-05-19

Associated revisions

Revision 6201 - 2011-07-09 13:25 - Jean-Philippe Lang

Fixed: search options get lost after clicking on a specific result type (#7501).

History

#1 - 2011-01-31 16:58 - Etienne Massip

Same thing for "All words"

#2 - 2011-02-03 11:41 - Etienne Massip

- Category set to Search engine

#3 - 2011-05-27 16:28 - Etienne Massip

- Target version set to Candidate for next minor release

#4 - 2011-07-09 13:26 - Jean-Philippe Lang

- Subject changed from The option "Search titles only" gets lost after clicking on a specific category to Search options get lost after clicking on a

specific result type

- Status changed from New to Closed

- Target version changed from Candidate for next minor release to 1.2.1

- Resolution set to Fixed

Fixed in r6201.
